Loading...
Searching...
No Matches
volk_32f_8u_polarbutterflypuppet_32f.h File Reference
`#include <volk/volk_32f_8u_polarbutterfly_32f.h>`
`#include <volk/volk_8u_x3_encodepolar_8u_x2.h>`
`#include <volk/volk_8u_x3_encodepolarpuppet_8u.h>`

Go to the source code of this file.

## Functions

static void | sanitize_bytes (unsigned char *u, const int elements)
static void | clean_up_intermediate_values (float *llrs, unsigned char *u, const int frame_size, const int elements)
static void | generate_error_free_input_vector (float *llrs, unsigned char *u, const int frame_size)
static void | print_llr_tree (const float *llrs, const int frame_size, const int frame_exp)
static int | maximum_frame_size (const int elements)
static void | volk_32f_8u_polarbutterflypuppet_32f_generic (float *llrs, const float *input, unsigned char *u, const int elements)
static void | volk_32f_8u_polarbutterflypuppet_32f_u_avx (float *llrs, const float *input, unsigned char *u, const int elements)

## Function Documentation

## clean_up_intermediate_values()

void clean_up_intermediate_values | ( | float * | llrs,
|  | unsigned char * | u,
|  | const int | frame_size,
|  | const int | elements )

inline static

## generate_error_free_input_vector()

void generate_error_free_input_vector | ( | float * | llrs,
|  | unsigned char * | u,
|  | const int | frame_size )

inline static

## maximum_frame_size()

int maximum_frame_size | ( | const int | elements | ) |

inline static

## print_llr_tree()

void print_llr_tree | ( | const float * | llrs,
|  | const int | frame_size,
|  | const int | frame_exp )

inline static

## sanitize_bytes()

void sanitize_bytes | ( | unsigned char * | u,
|  | const int | elements )

inline static

## volk_32f_8u_polarbutterflypuppet_32f_generic()

void volk_32f_8u_polarbutterflypuppet_32f_generic | ( | float * | llrs,
|  | const float * | input,
|  | unsigned char * | u,
|  | const int | elements )

inline static

## volk_32f_8u_polarbutterflypuppet_32f_u_avx()

void volk_32f_8u_polarbutterflypuppet_32f_u_avx | ( | float * | llrs,
|  | const float * | input,
|  | unsigned char * | u,
|  | const int | elements )

inline static